import * as React from 'react';
import { InfraEnvK8sResource, SecretK8sResource } from '../../types';
import { EditPullSecretFormikValues } from './types';
declare type EditPullSecretFormProps = {
    onClose: VoidFunction;
    pullSecret: SecretK8sResource | undefined;
    pullSecretError: string | undefined;
    pullSecretLoading: boolean;
    hasAgents: boolean;
    hasBMHs: boolean;
    error?: string;
};
export declare type EditPullSecretModalProps = EditPullSecretFormProps & {
    onSubmit: (values: EditPullSecretFormikValues, infraEnv: InfraEnvK8sResource) => Promise<InfraEnvK8sResource>;
    isOpen: boolean;
    infraEnv: InfraEnvK8sResource;
};
declare const EditPullSecretModal: React.FC<EditPullSecretModalProps>;
export default EditPullSecretModal;
