import { Cluster } from '../../../common';
import { RetrievalErrorType } from '../../reducers/clusters/currentClusterSlice';
import { ResourceUIState } from '../../../common';
export declare const useFetchCluster: (clusterId: string) => () => import("@reduxjs/toolkit").AsyncThunkAction<void | Cluster, string, {
    rejectValue: RetrievalErrorType;
    dispatch?: import("redux").Dispatch<import("redux").AnyAction> | undefined;
    state?: unknown;
    extra?: unknown;
    serializedErrorType?: unknown;
    pendingMeta?: unknown;
    fulfilledMeta?: unknown;
    rejectedMeta?: unknown;
}>;
export declare const useClusterPolling: (clusterId: string) => {
    cluster: Cluster | undefined;
    uiState: ResourceUIState;
    errorDetail: RetrievalErrorType | undefined;
};
