import { IRowData } from '@patternfly/react-table';
import { ClusterTableRows } from '../../common/types/clusters';
import { Cluster, HumanizedSortable, ResourceUIState } from '../../common';
import { TFunction } from 'i18next';
export declare const selectClustersUIState: import("reselect/*").OutputSelector<import("redux").CombinedState<{
    clusters: {
        data: Cluster[];
        uiState: ResourceUIState;
    };
    currentCluster: unknown;
}>, ResourceUIState, (res1: Cluster[], res2: ResourceUIState) => ResourceUIState>;
export declare const getClusterTableStatusCell: (rowData: IRowData) => HumanizedSortable;
export declare const selectClusterTableRows: (t: TFunction) => import("reselect/*").OutputSelector<import("redux").CombinedState<{
    clusters: {
        data: Cluster[];
        uiState: ResourceUIState;
    };
    currentCluster: unknown;
}>, ClusterTableRows, (res: Cluster[]) => ClusterTableRows>;
export declare const selectClusterNames: import("reselect/*").OutputSelector<import("redux").CombinedState<{
    clusters: {
        data: Cluster[];
        uiState: ResourceUIState;
    };
    currentCluster: unknown;
}>, (string | undefined)[], (res: Cluster[]) => (string | undefined)[]>;
export declare const selectClusterNamesButCurrent: import("reselect/*").OutputSelector<import("redux").CombinedState<{
    clusters: {
        data: Cluster[];
        uiState: ResourceUIState;
    };
    currentCluster: unknown;
}>, (string | undefined)[], (res1: (string | undefined)[], res2: any) => (string | undefined)[]>;
