import { TFunction } from 'i18next';
export declare const clusterNameValidationMessages: (t: TFunction) => {
    INVALID_LENGTH_OCM: string;
    INVALID_LENGTH_ACM: string;
    INVALID_VALUE: string;
    INVALID_START_END: string;
    NOT_UNIQUE: string;
};
export declare const ocmClusterNameValidationMessages: (t: TFunction) => {
    INVALID_LENGTH: string;
    INVALID_VALUE: string;
    INVALID_START_END: string;
};
export declare const uniqueOcmClusterNameValidationMessages: (t: TFunction) => {
    INVALID_LENGTH: string;
    INVALID_VALUE: string;
    INVALID_START_END: string;
    NOT_UNIQUE: string;
};
export declare const acmClusterNameValidationMessages: (t: TFunction) => {
    INVALID_LENGTH: string;
    INVALID_VALUE: string;
    INVALID_START_END: string;
    NOT_UNIQUE: string;
};
export declare const nameValidationMessages: (t: TFunction) => {
    INVALID_LENGTH: string;
    NOT_UNIQUE: string;
    INVALID_VALUE: string;
    INVALID_START_END: string;
    INVALID_FORMAT: string;
};
export declare const hostnameValidationMessages: (t: TFunction) => {
    LOCALHOST_ERR: string;
    INVALID_LENGTH: string;
    NOT_UNIQUE: string;
    INVALID_VALUE: string;
    INVALID_START_END: string;
    INVALID_FORMAT: string;
};
export declare const locationValidationMessages: (t: TFunction) => {
    INVALID_LENGTH: string;
    INVALID_VALUE: string;
    INVALID_START_END: string;
};
export declare const bmcAddressValidationMessages: (t: TFunction) => {
    INVALID_VALUE: string;
};
