import { AxiosError } from 'axios';
import { APIErrorMixin } from '../api/types';
export default function useClusterSupportedPlatforms(clusterId: string): {
    isPlatformIntegrationSupported: boolean;
    isLoading: boolean;
    error: AxiosError<APIErrorMixin, any> | undefined;
};
