import { Cluster } from '../../../common';
import { ResourceUIState } from '../../../common';
export declare type RetrievalErrorType = {
    code: string;
};
declare type CurrentClusterStateSlice = {
    data?: Cluster;
    uiState: ResourceUIState;
    isReloadScheduled: number;
    errorDetail?: RetrievalErrorType;
};
export declare const fetchClusterAsync: import("@reduxjs/toolkit").AsyncThunk<void | Cluster, string, {
    rejectValue: RetrievalErrorType;
    dispatch?: import("redux").Dispatch<import("redux").AnyAction> | undefined;
    state?: unknown;
    extra?: unknown;
    serializedErrorType?: unknown;
    pendingMeta?: unknown;
    fulfilledMeta?: unknown;
    rejectedMeta?: unknown;
}>;
export declare const currentClusterSlice: import("@reduxjs/toolkit").Slice<CurrentClusterStateSlice, import("@reduxjs/toolkit").SliceCaseReducers<CurrentClusterStateSlice>, "currentCluster">;
export declare const updateCluster: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, any> | import("@reduxjs/toolkit").ActionCreatorWithoutPayload<any>, updateClusterBase: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, any> | import("@reduxjs/toolkit").ActionCreatorWithoutPayload<any>, updateHost: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, any> | import("@reduxjs/toolkit").ActionCreatorWithoutPayload<any>, cleanCluster: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, any> | import("@reduxjs/toolkit").ActionCreatorWithoutPayload<any>, forceReload: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, any> | import("@reduxjs/toolkit").ActionCreatorWithoutPayload<any>, cancelForceReload: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, any> | import("@reduxjs/toolkit").ActionCreatorWithoutPayload<any>;
declare const _default: import("redux").Reducer<CurrentClusterStateSlice, import("redux").AnyAction>;
export default _default;
