import { Cluster } from '../../common/api/types';
import { OcmClusterType } from '../components/AddHosts/types';
declare const Day2ClusterService: {
    getOpenshiftClusterId(ocmCluster?: OcmClusterType | undefined): string | undefined;
    fetchCluster(ocmCluster: OcmClusterType, pullSecret: string): Promise<Cluster | undefined>;
    fetchClusterById(clusterId: Cluster['id']): Promise<Cluster>;
    createCluster(openshiftClusterId: OcmClusterType['external_id'], clusterName: string, apiVipDnsname: string, pullSecret: string): Promise<Cluster>;
    fetchHosts(clusterId: Cluster['id']): Promise<import("../../common/api/types").Host[]>;
};
export default Day2ClusterService;
